package sklep.logika;

public class SingletonSklep {
	private static Sklep sklep = null;
	
	/* Tylko na potrzeby testów z mockiem. */
	public static void setSklep(Sklep aSklep) {
		sklep = aSklep;
	}
	
	/* Tylko na potrzeby testów jednostkowych. */
	public static void reset() {
		sklep = Sklep.przykladowySklep();
	}
	
	public synchronized static Sklep getSklep() {
		if(sklep == null) {
			sklep = Sklep.przykladowySklep();
		}
		return sklep;
	}
}
